Program AttrTest;
Uses STMR_LOW,STMR_HI,ASMUtils;

var
 A              :Byte;
 f,b            :Byte;

BEGIN
 STMR_LOW.Init;
 Repeat until ChooseAttr(20,1,$0F,a,nil);
 ClrScr;
 GotoXY(0,0);

 WriteLn('Attribute chosen: $'+HexB(A)+' = ',A,'d',#10#13);

 WriteLn('; extract foreground from attribute.');
 F:=Attr2F(A);
 WriteLn('Attr2F(',A,') = ',F);

 WriteLn('; extract background from attribute.');
 B:=Attr2B(A);
 WriteLn('Attr2B(',A,') = ',B);

 WriteLn;

 if A>127 then
  begin
   WriteLn('Notice how the functions above will filter the intens/blink attribute,');
   WriteLn('whilst the functions below will not.'#10#13);
  end;

 WriteLn('; extract foreground /AND/ background from attribute.');
 Attr2FB(A,F,B);
 WriteLn('Attr2FB(',A,') = ',F,',',B);

 WriteLn('; merge foreground and background into attribute.');
 A:=FB2Attr(F,B);
 WriteLn('FB2Attr(',F,',',B,') = ',A);

END.
