Uses STMR_LOW,STMR_HI,ASMUtils;

VAR
 Ut             :Byte;
 S              :String[2];

Procedure InsertCharKB(tecken: Char); Assembler;
asm
 mov ah,$5
 mov cl,tecken
 int $16
end;

Procedure Preview(const Attr: Byte); Far;
begin
 CentreC(' [ This is an example ]ͻ ',0,Attr);
end;

Procedure Info;
begin
 Write('PicAttr - (C)1997 Eddy L O Jansson / DFR Research & Engineering - Freeware'#10#13#10#13);
 Write('Usage: PICATTR [/?]'#10#13#10#13);
 Write(' Choose the attribute you desire using the arrowkeys. Press ENTER'#10#13);
 Write(' to acknowledge your choice or ESC to abort. The hexvalue of the'#10#13);
 Write(' attribute you choose will be injected into the keyboard buffer.'#10#13#10#13);
 Write('  Press ''B'' to toggle blink.'#10#13);
 Write('  Press ''I'' to toggle Intensity/Blink bit.'#10#13);
 Halt(0);
end;

BEGIN
 if ParamStr(1)='/?' then Info;
 STMR_LOW.init;
 if ChooseAttr(SW-18,SH-10,15,Ut,Preview) then
  begin
   S:=HexB(Ut);
   InsertCharKB('$');
   InsertCharKB(S[1]);
   InsertCharKB(S[2]);
  end;
END.
