Program OScrollBarDemo;
Uses STMR_LOW,STMR_MID,STMR_HI,ASMUtils;

VAR
 Slide                  :^oScrollBar;
 TempPos,
 MaxPos,
 CurrPos                :Word;
 Ch                     :Char;

BEGIN
 STMR_LOW.Init;
 Randomize;
 HideCursor;
 SetBlink(False);

 { Draw two windows }
 WindowBox2(0,0,SW,SH-1,FB2Attr(7,8),FB2Attr(0,8),FB2Attr(7,8),
            SinFrame,0,$4E,' OScrollBarDemo - (C)1998 Eddy L O Jansson (2:206/233) ',False);
 WindowBox(1,1,SW-3,SH-3,FB2Attr(0,8),FB2Attr(7,8),FB2Attr(14,8),
           SinFrame,False);

 MaxPos:=SH+Random(100);
 CurrPos:=Random(MaxPos)+1;

 { Create new slider }
 New(Slide,Init(SW-2,2,SH-5,SH-5,
     FB2Attr(0,8) shl 8+$B0,FB2Attr(7,8) shl 8+$DB,
     MaxPos));

 Centre('Entries in list: $'+HexW(MaxPos),SH div 6);
 Centre('Press cursor up/down to scroll thru "list". ESC to exit.',SH div 2);

 REPEAT
  if TempPos<>CurrPos then Slide^.Update(CurrPos);
  Centre('Current pos: $'+HexW(CurrPos),SH div 4);
  Ch:=ReadKey;
  if Ch=#0 then
   begin
    Ch:=ReadKey;
    TempPos:=CurrPos;
    if (Ch=#72) and (CurrPos>0) then Dec(CurrPos);
    if (Ch=#80) and (CurrPos<MaxPos) then Inc(CurrPos);
    if (Ch=#71) then CurrPos:=0;
    if (Ch=#79) then CurrPos:=MaxPos;
   end;
 UNTIL Ch=#27;

END.
