Program MenuDemo;
Uses ASMUtils,STMR_STR,STMR_LOW,STMR_MID;

{ Preview of:

 STMR-Menu v0.0.1 - (C)1998 Eddy L O Jansson / DFR Research & Engineering

         ** This isn't a unit, I'm still building on this. **

 Shortcommings:

  Many.

 Copyright:

  This is FREEWARE. Use it, modify it, spread it. If you want you can send
  me a 'thank you' e-mail, or maybe a free copy of whatever you've made.

           E-mail: srm_dfr@hotmail.com     FidoNET: 2:206/233
}

{
 todo:
  deallocte memory at ::done
  AutoLoc()
  AutoLink()    ( HID-1 <- right.HID.left -> HID+1 )
  ALT+hotkey (jumping between topics)
  fix ugly 30 items/Topic limit
  remove/insert topics and topic entries
  checkbox entries
  sub-menues
  complete rewrite :-)
}

TYPE
 YChoose = Record
  ID,Y,
  Hotkey,HotkeyPos  :Byte;
 end;

 PTMenuEntry = ^TMenuEntry;
 TMenuEntry = Record
  Topicid        :Word;
  id             :Word;
  text           :String[30];
  hotkey         :Char;
  inactive       :Boolean;
  next           :PTMenuEntry;
  hotkeypos      :Byte;
 end;

 PTMenuTopic = ^TMenuTopic;
 TMenuTopic = Record
  id             :Word;
  text           :String[30];
  hotkey         :Char;
  hotkeypos      :Byte;
  inactive       :Boolean;
  x,y,
  width,height   :Byte;              { calculated }
  curr           :PTMenuEntry;
  next           :PTMenuTopic;
  leftID,rightID :Word;
 end;

 OMenu = Object
  Constructor    Init;
  Procedure      Show;
  Procedure      Hide;
  Procedure      Run(HID: Word;var pickedHID,pickedID: Word);
  Procedure      AddTopic(const HID: Word;const Text: String);
  Procedure      AddEntry(const HID,ID: Word;const Text: String);
  Procedure      Locate(const HID: Word;const X,Y :Byte);
  Procedure      Link(const HID: Word;const LeftHID,RightHID: Word);
  Procedure      Color(const FHi,FLo,Selected,Active,InActive,Hotkey,Back: Byte);
  Procedure      Disable(const HID,ID: Word);
  Procedure      Enable(const HID,ID: Word);
  Destructor     Done;
 private
  Procedure      Draw_Topics;
  Procedure      Draw_Box(const X,Y,W,H: Word);
  Function       Pulldown(const HID: Word;var IDchosen: Word): Word;
  Procedure      Topic_Set_CurrEntry(const HID: Word;Entry: Pointer);
  Procedure      FindTopic(const HID: Word;var LH: PTMenuTopic);
  Procedure      FindEntry(const HID,ID: Word;var FE: PTMenuEntry);
 private
  { Color }
  C_FrameHi,
  C_FrameLo,
  C_Selected,
  C_Active,
  C_Inactive,
  C_Hotkey,
  C_Back             :Byte;

  { Structural }
  isVisible          :Boolean;
  RootTopic        :PTMenuTopic;
  RootEntry          :PTMenuEntry;
  TopicsOldBack    :Pointer;
 end;

Constructor OMenu.Init;
begin
 RootTopic:=nil;
 RootEntry:=nil;
 isVisible:=False;
 GetMem(TopicsOldBack,4+SW*2);
end;

Destructor OMenu.Done;
begin
{ if RootEntry<>nil then Dispose(RootEntry);
 if RootTopic<>nil then Dispose(RootTopic);}
end;

Procedure  OMenu.Draw_Topics;
var
 X              :Byte;
 C              :PTMenuTopic;
begin
 X:=2;
 DrawHCharAttr(0,0,SW,Word(FB2Attr(C_Active,C_Back) shl 8)+$20);
 C:=RootTopic;
 While C<>nil do
 begin
  WriteXY(X,0,C^.text);
  if C^.hotkey>#0 then SetAttrXY(X+C^.HotkeyPos,0,FB2Attr(C_HotKey,C_Back));
  Inc(X,Length(C^.text)+2);
  C:=C^.next;
 end;
end;

Procedure OMenu.Show;
begin
 if isVisible then exit;
 TextBoxGet(0,0,SW,1,TopicsOldBack);
 Draw_Topics;
 isVisible:=True;
end;

Procedure OMenu.Hide;
begin
 if NOT isVisible then exit;
 WaitVBL;
 TextBoxPut(0,0,TopicsOldBack);
 isVisible:=False;
end;

Procedure  OMenu.Draw_Box(const X,Y,W,H: Word);
begin
 WindowBox(x,y,w,h,FB2Attr(C_FrameLo,C_Back),FB2Attr(C_FrameHi,C_Back),FB2Attr(C_Active,C_Back),SinFrame,False);
end;

Function   OMenu.Pulldown(const HID: Word;var IDchosen: Word): Word;
var
 SavedBack      :Pointer;
 c              :PTMenuTopic;
 e              :PTMenuEntry;

 YY             :Byte;
 isDone         :Boolean;
 Ch             :Char;
 OldPekY,
 PekY           :Byte;

 ExitVAL        :Word;

 { fix this later? }
 YChoNr         :Byte;
 YCho           :Array[1..30] of YChoose;

begin
 FindTopic(HID,c);
 if c=nil then exit;
 { REDRAW }
 GetMem(Savedback,((c^.width+4)*(c^.height+2))+4);
 TextBoxGet(c^.x,c^.y,c^.width+4,c^.height+2,Savedback);
 Draw_Box(c^.x,c^.y,c^.width+4,c^.height+2);
 YY:=c^.y;
 YChoNr:=0;
 ExitVAL:=0;
 PekY:=1;
 IDchosen:=0;
 e:=RootEntry;

 DrawHAttr(c^.x,0,length(c^.text)+2,FB2Attr(C_Active,C_Selected));
 if c^.hotkey>#0 then SetAttrXY(c^.x+2+c^.hotkeypos,0,FB2Attr(C_HotKey,C_Selected));

 While (e<>nil) do
 begin
  if (e^.TopicID=HID) then
  begin
   Inc(YY);
   if e^.ID=0 then
    begin
     WriteXYC(c^.x+2,YY,FB2Attr(C_Inactive,C_Back),RepeatChar('-',c^.width));
    end else begin
     if e^.inactive then WriteXYC(c^.x+2,YY,FB2Attr(C_Inactive,C_Back),e^.text)
      else begin
       Inc(YChoNr);
       if c^.curr=e then PekY:=YChoNr;  { store }
       YCho[YChoNr].Y:=YY;
       YCho[YChoNr].Hotkey:=Byte(e^.hotkey);
       YCho[YChoNr].HotkeyPos:=e^.hotkeypos;
       YCho[YChoNr].ID:=e^.id;
       WriteXY(c^.x+2,YY,e^.text);
       DrawHAttr(c^.x+1,YY,c^.width+2,FB2Attr(C_Active,C_Back));
       if e^.hotkey>#0 then SetAttrXY(c^.x+2+e^.hotkeypos,YY,FB2Attr(C_Hotkey,C_Back));
     end;
   end;
  end;
  e:=e^.next;
 end;
 { END OF REDRAW }

 OldPekY:=$FF;
 isDone:=False;
 REPEAT

  { Pointer was moved }
  if OldPekY<>PekY then
  begin
   { Draw new }
   DrawHAttr(c^.x+1,YCho[PekY].Y,c^.width+2,FB2Attr(C_Active,C_Selected));
   if YCho[PekY].hotkey>0 then SetAttrXY(c^.x+2+YCho[PekY].hotkeypos,YCho[PekY].Y,FB2Attr(C_Hotkey,C_Selected));

   { Remove old }
   if OldPekY<>$FF then begin
    DrawHAttr(c^.x+1,YCho[OldPekY].Y,c^.width+2,FB2Attr(C_Active,C_Back));
    if YCho[OldPekY].hotkey>0 then SetAttrXY(c^.x+2+YCho[OldPekY].hotkeypos,YCho[OldPekY].Y,FB2Attr(C_Hotkey,C_Back));
   end;
  end;

  Ch:=UpCase(ReadKey);

  if Ch=#13 then
   begin
    ExitVAL:=0;
    IDchosen:=YCho[PekY].id;
    isDone:=True;
   end;

  if Ch=#0 then
   begin
    Ch:=ReadKey;
    OldPekY:=PekY;
    if (Ch=Upkey) and (PekY>1) then Dec(PekY);
    if (Ch=Downkey) and (PekY<YChoNr) then Inc(PekY);
    if (Ch=Home)   then PekY:=1;
    if (Ch=EndKey) then PekY:=YChoNr;

    if (Ch=LeftKey) and (c^.leftID<>0) then
     begin
      ExitVAL:=Byte(CH);
      isDone:=True;
     end;

    if (Ch=RightKey) and (c^.rightID<>0) then
     begin
      ExitVAL:=Byte(CH);
      isDone:=True;
     end;

   end else begin
    for YY:=1 to YChoNr do if YCho[YY].hotkey=Byte(Ch) then
     begin
      PekY:=YY;
      IDchosen:=YCho[PekY].id;
      isDone:=True;
      Break;
     end;
   end;

 UNTIL isDone;

 { Remove highlight on Topic }
 DrawHAttr(c^.x,0,length(c^.text)+2,FB2Attr(C_Active,C_Back));
 if c^.hotkey>#0 then SetAttrXY(c^.x+2+c^.hotkeypos,0,FB2Attr(C_HotKey,C_Back));

 { Set current to be the one highlighted/choosen }
 FindEntry(HID,YCho[PekY].id,e);
 c^.curr:=e;
 { Put back graphics }
 TextBoxPut(c^.x,c^.y,Savedback);
 FreeMem(Savedback,((c^.width+4)*(c^.height+2))+4);
 Pulldown:=ExitVAL; { If extended key then status = $00xx else $xx00 }
end;

Procedure  OMenu.Run(HID: Word;var pickedHID,pickedID: Word);
var
 newID          :Word;
 dir            :Word;
 c              :PTMenuTopic;
begin
repeat
 dir:=Pulldown(HID,newID);
 if dir<>0 then
 begin
  if dir=Byte(LeftKey) then
   begin
    FindTopic(HID,c);
    if c^.leftID>0 then HID:=c^.leftID;
    newID:=0;
   end else
  if dir=Byte(RightKey) then
   begin
    FindTopic(HID,c);
    if c^.rightID>0 then HID:=c^.rightID;
    newID:=0;
   end;
  end; { dir <>0 }
until newID<>0;
 PickedHID:=HID;
 PickedID:=newID;
end;

Procedure  OMenu.AddTopic(const HID: Word;const Text: String);
var
 h,c            :PTMenuTopic;
 i              :Byte;
begin
 new(h);
 h^.id:=HID;
 h^.text:=text;
 h^.hotkeypos:=0;
 h^.inactive:=false;
 h^.x:=0;
 h^.y:=0;
 h^.width:=Length(text);     { Set minimum width }
 h^.height:=0;
 h^.curr:=nil;
 h^.next:=nil;
 h^.leftID:=0;
 h^.rightID:=0;

 { fix hotkey }
 i:=Pos('~',h^.text);
 if i=0 then h^.hotkey:=#0 else begin
  Delete(h^.text,i,1);
  h^.hotkey:=h^.text[i];
  h^.hotkeypos:=i-1;
 end;

 { add new Topic to list }
 if RootTopic=nil then
  begin
   RootTopic:=h
  end else begin
   c:=RootTopic;
   while (c^.next<>nil) do c:=c^.next;
   c^.next:=h;
  end;
end;

Procedure OMenu.FindTopic(const HID: Word;var LH: PTMenuTopic);
var
 found          :Boolean;
begin
 found:=false;
 LH:=RootTopic;
 While (LH<>nil) and (NOT found) do
  begin
   if LH^.id=HID then found:=true else LH:=LH^.next;
  end;
 if NOT Found then LH:=nil;
end;

Procedure OMenu.FindEntry(const HID,ID: Word;var FE: PTMenuEntry);
var
 found          :Boolean;
begin
 found:=false;
 FE:=RootEntry;
 While (FE<>nil) and (NOT found) do
  if (FE^.Topicid=HID) and (FE^.id=ID) then found:=true else FE:=FE^.next;
 if NOT Found then FE:=nil;
end;

Procedure OMenu.Topic_Set_CurrEntry(const HID: Word;Entry: Pointer);
var
 c              :PTMenuTopic;
begin
 FindTopic(HID,c);
 if c<>nil then c^.curr:=Entry;
end;

{
Function  OMenu.Topic_Get_Width(const HID: Word): Byte;
var
 c              :PTMenuTopic;
begin
 FindTopic(HID,c);
 if c<>nil then Topic_Get_Width:=c^.width else Topic_Get_Width:=0;
end;

Procedure OMenu.Topic_Set_Width(const HID: Word;const Width: Byte);
var
 c              :PTMenuTopic;
begin
 FindTopic(HID,c);
 if c<>nil then c^.width:=width;
end;
}
Procedure OMenu.Locate(const HID: Word;const X,Y: Byte);
var
 c              :PTMenuTopic;
begin
 FindTopic(HID,c);
 if c<>nil then
 begin
  if X<>$FF then c^.x:=X;
  if Y<>$FF then c^.y:=Y;
 end;
end;

Procedure OMenu.Link(const HID: Word;const LeftHID,RightHID: Word);
var
 c              :PTMenuTopic;
begin
 FindTopic(HID,c);
 if c<>nil then
 begin
  if leftHID>0 then c^.leftID:=leftHID;
  if rightHID>0 then c^.rightID:=rightHID;
 end;
end;

Procedure OMenu.Color(const FHi,FLo,Selected,Active,InActive,Hotkey,Back: Byte);
begin
 C_FrameHi:=FHi;
 C_FrameLo:=FLo;
 C_Selected:=Selected;
 C_Active:=Active;
 C_Inactive:=InActive;
 C_Hotkey:=Hotkey;
 C_Back:=Back;
end;

Procedure OMenu.Enable(const HID,ID: Word);
var
 e              :PTMenuEntry;
begin
 e:=RootEntry;
 While (e<>nil) and ((e^.topicID<>HID) or (e^.ID<>ID)) do e:=e^.next;
 if e<>nil then e^.inActive:=false;
end;

Procedure OMenu.Disable(const HID,ID: Word);
var
 e              :PTMenuEntry;

begin
 e:=RootEntry;
 While (e<>nil) and ((e^.topicID<>HID) or (e^.ID<>ID)) do e:=e^.next;
 if e<>nil then e^.inActive:=true;
end;

Procedure OMenu.AddEntry(const HID,ID: Word;const Text: String);
var
 h,c            :PTMenuEntry;
 seth           :PTMenuTopic;
 i              :Byte;
begin
 new(h);
 h^.Topicid:=HID;
 h^.id:=ID;
 h^.text:=text;
 h^.inactive:=false;
 h^.next:=nil;

 { fix hotkey }
 i:=Pos('~',h^.text);
 if i=0 then h^.hotkey:=#0 else begin
  Delete(h^.text,i,1);
  h^.hotkey:=UpCase(h^.text[i]);
  h^.hotkeypos:=i-1;
 end;

 { add entry to list }
 if RootEntry=nil then
  begin
   RootEntry:=h;
  end else begin
   c:=RootEntry;
   while (c^.next<>nil) do c:=c^.next;
   c^.next:=h;
  end;

 FindTopic(HID,seth);
 { Calculate the correct height }
 Inc(seth^.height);
 { Calculate the correct width }
 if length(text)>seth^.width then seth^.width:=length(text);
end;

CONST
 ID_MFILE      = 1;
 ID_MEDIT      = 2;
 ID_MSEARCH    = 3;
 ID_MCOLOR     = 4;

VAR
 Menu          :^OMenu;
 M1,M2         :Word;

Procedure SetupColors(const nr: Byte);
begin
 if nr=1 then Menu^.Color(15,0,2,0,8,4,7);
 if nr=2 then Menu^.Color(15,0,1,15,0,14,9);
 if nr=3 then Menu^.Color(15,0,12,15,0,14,8);
 if nr=4 then Menu^.Color(0,15,2,0,8,4,7);
 if nr=5 then Menu^.Color(0,15,1,15,0,14,9);
 if nr=6 then Menu^.Color(0,15,12,15,0,14,8);
end;

BEGIN
{ SetScreen($54);}
 STMR_LOW.Init;
 HideCursor;
 SetBlink(False);
 FillScreen($1E shl 8+32);

 New(Menu,Init);
 SetupColors(3);
 Menu^.AddTopic(ID_MFILE,  '~File');
  Menu^.Locate(ID_MFILE,1,1);
  Menu^.Link(ID_MFILE,0,ID_MEDIT);
   Menu^.AddEntry(ID_MFILE,1,'~New');
   Menu^.AddEntry(ID_MFILE,2,'~Open');
   Menu^.AddEntry(ID_MFILE,3,'~Save');
   Menu^.AddEntry(ID_MFILE,4,'Save ~as');
   Menu^.AddEntry(ID_MFILE,5,'Save a~ll');
   Menu^.AddEntry(ID_MFILE,0,'');
   Menu^.AddEntry(ID_MFILE,6,'~Change dir...');
   Menu^.AddEntry(ID_MFILE,7,'~Print');
   Menu^.AddEntry(ID_MFILE,8,'P~rinter setup...');
   Menu^.AddEntry(ID_MFILE,9,'~Dos shell');
   Menu^.AddEntry(ID_MFILE,10,'E~xit');
   Menu^.AddEntry(ID_MFILE,0,'');
   Menu^.AddEntry(ID_MFILE,11,'~1. MENU.PAS');
   Menu^.AddEntry(ID_MFILE,12,'~2. SARRED.PAS');
  Menu^.Disable(ID_MFILE,7);

 Menu^.AddTopic(ID_MEDIT,  '~Edit');
  Menu^.Locate(ID_MEDIT,7,1);
  Menu^.Link(ID_MEDIT,ID_MFILE,ID_MSEARCH);
   Menu^.AddEntry(ID_MEDIT,1,'~Undo');
   Menu^.AddEntry(ID_MEDIT,2,'~Redo');

 Menu^.AddTopic(ID_MSEARCH,'~Search');
  Menu^.Locate(ID_MSEARCH,13,1);
  Menu^.Link(ID_MSEARCH,ID_MEDIT,4);
   Menu^.AddEntry(ID_MSEARCH,1,'~Find');
   Menu^.AddEntry(ID_MSEARCH,2,'~Replace');
   Menu^.AddEntry(ID_MSEARCH,3,'~Search again');
   Menu^.AddEntry(ID_MSEARCH,0,'');
   Menu^.AddEntry(ID_MSEARCH,4,'~Go to line number ...');

 Menu^.AddTopic(ID_MCOLOR,'~Colorscheme');
  Menu^.Locate(ID_MCOLOR,21,1);
  Menu^.Link(ID_MCOLOR,ID_MSEARCH,0);
   Menu^.AddEntry(ID_MCOLOR,1,'Scheme #~1');
   Menu^.AddEntry(ID_MCOLOR,2,'Scheme #~2');
   Menu^.AddEntry(ID_MCOLOR,3,'Scheme #~3');
   Menu^.AddEntry(ID_MCOLOR,4,'Scheme #1~A');
   Menu^.AddEntry(ID_MCOLOR,5,'Scheme #2~B');
   Menu^.AddEntry(ID_MCOLOR,6,'Scheme #3~C');

 Menu^.AddTopic(5,'Empty menu');  { not handled correctly }

 Menu^.Show;
 M1:=ID_MFILE;
 repeat
  Menu^.Run(M1,M1,M2);

  { if colormeny, then set new color }
  if M1=ID_MCOLOR then
   begin
    Menu^.Hide;
    SetupColors(M2);
    Menu^.Show;
   end;

  { Enable printing if 'printer setup' }
  if M1=ID_MFILE then if M2=8 then Menu^.Enable(ID_MFILE,7);

 until (M1=ID_MFILE) and (M2=10);
 Menu^.Hide;

 WriteLn('HID=',M1,'  MenuID=',M2);

 Dispose(Menu,Done);
END.
