Program Percentage_Meter_Test;
Uses STMR_LOW,STMR_MID,STMR_STR,STMR_FON,ASMUtils;

TYPE
 { No need to 'dripple' variables all over the place. }
 PerBar = Record
  x,y,len,done  :Byte;
 end;

VAR
 P              :PerBar;

Procedure doDemo;
begin
 { Setup the checkered background for the progress bar }

 WriteXY(p.x,p.y,RepeatChar('',p.len));
 WriteXY(p.x,p.y+1,RepeatChar('',p.len));

 { let's move from 0 to 100 percent 'complete' }
 for p.done:=0 to 100 do
 begin
  WriteXY(sw div 2-1,p.y-1,HexB(p.done)+'%');
  { The upper one is smooth... }
  ProgressBarSmooth(p.x,p.y,p.len,p.done);
  { ... while the lower one is not .. }
  ProgressBar(p.x,p.y+1,p.len,p.done);
 end;
end;

BEGIN
 SetScreen($3); STMR_low.init; ClrScr;

 with P do begin
  len:=5; { <===== length of bar. Experiment with it. Try 2 and 1 }
  x:=(SW div 2)-(len div 2);
  y:=SH div 3;
 end;

 { Let's drive the point thru... }
 repeat
  doDemo;
 until keypressed;

END.
